## PhoshRfkillDBusRfkillSkeleton

PhoshRfkillDBusRfkillSkeleton

## Functions

GDBusInterfaceInfo * | phosh_rfkill_dbus_rfkill_interface_info ()
guint | phosh_rfkill_dbus_rfkill_override_properties ()
gboolean | phosh_rfkill_dbus_rfkill_get_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_set_airplane_mode ()
gboolean | phosh_rfkill_dbus_rfkill_get_hardware_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_set_hardware_airplane_mode ()
gboolean | phosh_rfkill_dbus_rfkill_get_bluetooth_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_set_bluetooth_airplane_mode ()
gboolean | phosh_rfkill_dbus_rfkill_get_bluetooth_has_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_set_bluetooth_has_airplane_mode ()
gboolean | phosh_rfkill_dbus_rfkill_get_bluetooth_hardware_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_set_bluetooth_hardware_airplane_mode ()
gboolean | phosh_rfkill_dbus_rfkill_get_should_show_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_set_should_show_airplane_mode ()
void | phosh_rfkill_dbus_rfkill_proxy_new ()
PhoshRfkillDBusRfkill * | phosh_rfkill_dbus_rfkill_proxy_new_finish ()
PhoshRfkillDBusRfkill * | phosh_rfkill_dbus_rfkill_proxy_new_sync ()
void | phosh_rfkill_dbus_rfkill_proxy_new_for_bus ()
PhoshRfkillDBusRfkill * | phosh_rfkill_dbus_rfkill_proxy_new_for_bus_finish ()
PhoshRfkillDBusRfkill * | phosh_rfkill_dbus_rfkill_proxy_new_for_bus_sync ()
PhoshRfkillDBusRfkill * | phosh_rfkill_dbus_rfkill_skeleton_new ()

## Properties

gboolean | airplane-mode | Read / Write
gboolean | bluetooth-airplane-mode | Read / Write
gboolean | bluetooth-hardware-airplane-mode | Read / Write
gboolean | bluetooth-has-airplane-mode | Read / Write
gboolean | hardware-airplane-mode | Read / Write
gboolean | should-show-airplane-mode | Read / Write

## Types and Values

struct | PhoshRfkillDBusRfkillIface
struct | PhoshRfkillDBusRfkillProxy
struct | PhoshRfkillDBusRfkillProxyClass
struct | PhoshRfkillDBusRfkillSkeleton
struct | PhoshRfkillDBusRfkillSkeletonClass
| PhoshRfkillDBusRfkill
| PhoshRfkillDBusRfkillProxyPrivate
| PhoshRfkillDBusRfkillSkeletonPrivate

## Object Hierarchy

        GInterface
        ╰── PhoshRfkillDBusRfkill
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── PhoshRfkillDBusRfkillSkeleton
        ╰── GDBusProxy
            ╰── PhoshRfkillDBusRfkillProxy

## Prerequisites

PhoshRfkillDBusRfkill requires GObject.

## Implemented Interfaces

PhoshRfkillDBusRfkillProxy implements GDBusInterface, GInitable, GAsyncInitable and PhoshRfkillDBusRfkill.

PhoshRfkillDBusRfkillSkeleton implements GDBusInterface and PhoshRfkillDBusRfkill.

## Known Implementations

PhoshRfkillDBusRfkill is implemented by PhoshRfkillDBusRfkillProxy and PhoshRfkillDBusRfkillSkeleton.

## Description

## Functions

### phosh_rfkill_dbus_rfkill_interface_info ()

    GDBusInterfaceInfo *
    phosh_rfkill_dbus_rfkill_interface_info
                                   (void);

Gets a machine-readable description of the org.gnome.SettingsDaemon.Rfkill D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### phosh_rfkill_dbus_rfkill_override_properties ()

    guint
    phosh_rfkill_dbus_rfkill_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the PhoshRfkillDBusRfkill interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### phosh_rfkill_dbus_rfkill_get_airplane_mode ()

    gboolean
    phosh_rfkill_dbus_rfkill_get_airplane_mode
                                   (PhoshRfkillDBusRfkill *object);

Gets the value of the "AirplaneMode" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |

#### Returns

The property value.

### phosh_rfkill_dbus_rfkill_set_airplane_mode ()

    void
    phosh_rfkill_dbus_rfkill_set_airplane_mode
                                   (PhoshRfkillDBusRfkill *object,
                                    gboolean value);

Sets the "AirplaneMode" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |
value | The value to set. |

### phosh_rfkill_dbus_rfkill_get_hardware_airplane_mode ()

    gboolean
    phosh_rfkill_dbus_rfkill_get_hardware_airplane_mode
                                   (PhoshRfkillDBusRfkill *object);

Gets the value of the "HardwareAirplaneMode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |

#### Returns

The property value.

### phosh_rfkill_dbus_rfkill_set_hardware_airplane_mode ()

    void
    phosh_rfkill_dbus_rfkill_set_hardware_airplane_mode
                                   (PhoshRfkillDBusRfkill *object,
                                    gboolean value);

Sets the "HardwareAirplaneMode" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |
value | The value to set. |

### phosh_rfkill_dbus_rfkill_get_bluetooth_airplane_mode ()

    gboolean
    phosh_rfkill_dbus_rfkill_get_bluetooth_airplane_mode
                                   (PhoshRfkillDBusRfkill *object);

Gets the value of the "BluetoothAirplaneMode" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |

#### Returns

The property value.

### phosh_rfkill_dbus_rfkill_set_bluetooth_airplane_mode ()

    void
    phosh_rfkill_dbus_rfkill_set_bluetooth_airplane_mode
                                   (PhoshRfkillDBusRfkill *object,
                                    gboolean value);

Sets the "BluetoothAirplaneMode" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |
value | The value to set. |

### phosh_rfkill_dbus_rfkill_get_bluetooth_has_airplane_mode ()

    gboolean
    phosh_rfkill_dbus_rfkill_get_bluetooth_has_airplane_mode
                                   (PhoshRfkillDBusRfkill *object);

Gets the value of the "BluetoothHasAirplaneMode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |

#### Returns

The property value.

### phosh_rfkill_dbus_rfkill_set_bluetooth_has_airplane_mode ()

    void
    phosh_rfkill_dbus_rfkill_set_bluetooth_has_airplane_mode
                                   (PhoshRfkillDBusRfkill *object,
                                    gboolean value);

Sets the "BluetoothHasAirplaneMode" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |
value | The value to set. |

### phosh_rfkill_dbus_rfkill_get_bluetooth_hardware_airplane_mode ()

    gboolean
    phosh_rfkill_dbus_rfkill_get_bluetooth_hardware_airplane_mode
                                   (PhoshRfkillDBusRfkill *object);

Gets the value of the "BluetoothHardwareAirplaneMode" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |

#### Returns

The property value.

### phosh_rfkill_dbus_rfkill_set_bluetooth_hardware_airplane_mode ()

    void
    phosh_rfkill_dbus_rfkill_set_bluetooth_hardware_airplane_mode
                                   (PhoshRfkillDBusRfkill *object,
                                    gboolean value);

Sets the "BluetoothHardwareAirplaneMode" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |
value | The value to set. |

### phosh_rfkill_dbus_rfkill_get_should_show_airplane_mode ()

    gboolean
    phosh_rfkill_dbus_rfkill_get_should_show_airplane_mode
                                   (PhoshRfkillDBusRfkill *object);

Gets the value of the "ShouldShowAirplaneMode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |

#### Returns

The property value.

### phosh_rfkill_dbus_rfkill_set_should_show_airplane_mode ()

    void
    phosh_rfkill_dbus_rfkill_set_should_show_airplane_mode
                                   (PhoshRfkillDBusRfkill *object,
                                    gboolean value);

Sets the "ShouldShowAirplaneMode" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A PhoshRfkillDBusRfkill. |
value | The value to set. |

### phosh_rfkill_dbus_rfkill_proxy_new ()

    void
    phosh_rfkill_dbus_rfkill_proxy_new (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.SettingsDaemon.Rfkill. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_rfkill_dbus_rfkill_proxy_new_finish()` to get the result of the operation.

See `phosh_rfkill_dbus_rfkill_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_rfkill_dbus_rfkill_proxy_new_finish ()

    PhoshRfkillDBusRfkill *
    phosh_rfkill_dbus_rfkill_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_rfkill_dbus_rfkill_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_rfkill_dbus_rfkill_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshRfkillDBusRfkillProxy]

### phosh_rfkill_dbus_rfkill_proxy_new_sync ()

    PhoshRfkillDBusRfkill *
    phosh_rfkill_dbus_rfkill_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.SettingsDaemon.Rfkill. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `phosh_rfkill_dbus_rfkill_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshRfkillDBusRfkillProxy]

### phosh_rfkill_dbus_rfkill_proxy_new_for_bus ()

    void
    phosh_rfkill_dbus_rfkill_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `phosh_rfkill_dbus_rfkill_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `phosh_rfkill_dbus_rfkill_proxy_new_for_bus_finish()` to get the result of the operation.

See `phosh_rfkill_dbus_rfkill_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### phosh_rfkill_dbus_rfkill_proxy_new_for_bus_finish ()

    PhoshRfkillDBusRfkill *
    phosh_rfkill_dbus_rfkill_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `phosh_rfkill_dbus_rfkill_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `phosh_rfkill_dbus_rfkill_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshRfkillDBusRfkillProxy]

### phosh_rfkill_dbus_rfkill_proxy_new_for_bus_sync ()

    PhoshRfkillDBusRfkill *
    phosh_rfkill_dbus_rfkill_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `phosh_rfkill_dbus_rfkill_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `phosh_rfkill_dbus_rfkill_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type PhoshRfkillDBusRfkillProxy]

### phosh_rfkill_dbus_rfkill_skeleton_new ()

    PhoshRfkillDBusRfkill *
    phosh_rfkill_dbus_rfkill_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.SettingsDaemon.Rfkill.

#### Returns

The skeleton object.

[transfer full][type PhoshRfkillDBusRfkillSkeleton]

## Types and Values

### struct PhoshRfkillDBusRfkillIface

    struct PhoshRfkillDBusRfkillIface {
      GTypeInterface parent_iface;

      gboolean  (*get_airplane_mode) (PhoshRfkillDBusRfkill *object);

      gboolean  (*get_bluetooth_airplane_mode) (PhoshRfkillDBusRfkill *object);

      gboolean  (*get_bluetooth_hardware_airplane_mode) (PhoshRfkillDBusRfkill *object);

      gboolean  (*get_bluetooth_has_airplane_mode) (PhoshRfkillDBusRfkill *object);

      gboolean  (*get_hardware_airplane_mode) (PhoshRfkillDBusRfkill *object);

      gboolean  (*get_should_show_airplane_mode) (PhoshRfkillDBusRfkill *object);
    };

Virtual table for the D-Bus interface org.gnome.SettingsDaemon.Rfkill.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_airplane_mode` () | Getter for the “airplane-mode” property. |
`get_bluetooth_airplane_mode` () | Getter for the “bluetooth-airplane-mode” property. |
`get_bluetooth_hardware_airplane_mode` () | Getter for the “bluetooth-hardware-airplane-mode” property. |
`get_bluetooth_has_airplane_mode` () | Getter for the “bluetooth-has-airplane-mode” property. |
`get_hardware_airplane_mode` () | Getter for the “hardware-airplane-mode” property. |
`get_should_show_airplane_mode` () | Getter for the “should-show-airplane-mode” property. |

### struct PhoshRfkillDBusRfkillProxy

    struct PhoshRfkillDBusRfkillProxy;

The PhoshRfkillDBusRfkillProxy structure contains only private data and should only be accessed using the provided API.

### struct PhoshRfkillDBusRfkillProxyClass

    struct PhoshRfkillDBusRfkillProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for PhoshRfkillDBusRfkillProxy.

#### Members

### struct PhoshRfkillDBusRfkillSkeleton

    struct PhoshRfkillDBusRfkillSkeleton;

The PhoshRfkillDBusRfkillSkeleton structure contains only private data and should only be accessed using the provided API.

### struct PhoshRfkillDBusRfkillSkeletonClass

    struct PhoshRfkillDBusRfkillSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for PhoshRfkillDBusRfkillSkeleton.

#### Members

### PhoshRfkillDBusRfkill

    typedef struct _PhoshRfkillDBusRfkill PhoshRfkillDBusRfkill;

Abstract interface type for the D-Bus interface org.gnome.SettingsDaemon.Rfkill.

### PhoshRfkillDBusRfkillProxyPrivate

    typedef struct _PhoshRfkillDBusRfkillProxyPrivate PhoshRfkillDBusRfkillProxyPrivate;

### PhoshRfkillDBusRfkillSkeletonPrivate

    typedef struct _PhoshRfkillDBusRfkillSkeletonPrivate PhoshRfkillDBusRfkillSkeletonPrivate;

## Property Details

### The `“airplane-mode”` property

      “airplane-mode”            gboolean

Represents the D-Bus property "AirplaneMode".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: PhoshRfkillDBusRfkill

Flags: Read / Write

Default value: FALSE

### The `“bluetooth-airplane-mode”` property

      “bluetooth-airplane-mode”  gboolean

Represents the D-Bus property "BluetoothAirplaneMode".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: PhoshRfkillDBusRfkill

Flags: Read / Write

Default value: FALSE

### The `“bluetooth-hardware-airplane-mode”` property

      “bluetooth-hardware-airplane-mode” gboolean

Represents the D-Bus property "BluetoothHardwareAirplaneMode".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: PhoshRfkillDBusRfkill

Flags: Read / Write

Default value: FALSE

### The `“bluetooth-has-airplane-mode”` property

      “bluetooth-has-airplane-mode” gboolean

Represents the D-Bus property "BluetoothHasAirplaneMode".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshRfkillDBusRfkill

Flags: Read / Write

Default value: FALSE

### The `“hardware-airplane-mode”` property

      “hardware-airplane-mode”   gboolean

Represents the D-Bus property "HardwareAirplaneMode".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshRfkillDBusRfkill

Flags: Read / Write

Default value: FALSE

### The `“should-show-airplane-mode”` property

      “should-show-airplane-mode” gboolean

Represents the D-Bus property "ShouldShowAirplaneMode".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: PhoshRfkillDBusRfkill

Flags: Read / Write

Default value: FALSE